using System;
using RestSharp;
using RestSharp.Authenticators;

namespace HabitSharp {
    public class HabiticaAuthenticator : IAuthenticator
    {
        private readonly Guid userId;
        private readonly Guid apiKey;

        public HabiticaAuthenticator(Guid userId, Guid apiKey) {
            this.userId = userId;
            this.apiKey = apiKey;
        }

        public void Authenticate(IRestClient client, IRestRequest request)
        {
            request.AddHeader("X-API-User", userId.ToString());
            request.AddHeader("X-API-Key", apiKey.ToString());
        }
    }
}
