using System;

namespace HabitSharp.Notifications {
    public class GroupTaskApprovalNotificationData {
        public string Message { get; set; }
        
        public Guid GroupId { get; set; }

        /// <summary>
        /// ID of the task in the user's own view.
        /// </summary>
        /// <value></value>
        public Guid TaskId { get; set; }

        public Guid UserId { get; set; }

        /// <summary>
        /// The original task ID in the group.
        /// </summary>
        public Guid GroupTaskId { get; set; }
    }

    [NotificationType("GROUP_TASK_APPROVAL")]
    public class GroupTaskApprovalNotification : DataNotification<GroupTaskApprovalNotificationData> { }
}
