using System;
using RestSharp.Deserializers;

namespace HabitSharp.Notifications {
    public class GroupTaskNeedsWorkNotificationTaskData {
        public Guid Id { get; set; }
        public string Text { get; set; }
    }

    public class GroupTaskNeedsWorkNotificationData {
        public string Message { get; set; }

        [DeserializeAs(Name="task")]
        public GroupTaskNeedsWorkNotificationTaskData TaskInfo { get; set; }
        [DeserializeAs(Name="manager")]
        public NotificationUserData ManagerInfo { get; set; }
        [DeserializeAs(Name="group")]
        public NotificationGroupData GroupInfo { get; set; }
    }

    [NotificationType("GROUP_TASK_NEEDS_WORK")]
    public class GroupTaskNeedsWorkNotification :
        DataNotification<GroupTaskNeedsWorkNotificationData> { }
}
