using System;
using System.Collections.Generic;
using RestSharp.Deserializers;
using HabitSharp.Notifications;

namespace HabitSharp {
    public class Result<T> {
        public bool Success { get; set; }

        public T Data { get; set; }

        public List<Notification> Notifications { get; set; }

        public Version AppVersion { get; set; }

        public string Error { get; set; }

        [DeserializeAs(Name="message")]
        public string ErrorMessage { get; set; }

        [DeserializeAs(Name="errors")]
        public List<ParamError> ParamErrors { get; set; }
    }

    public class ListResult<T> : Result<List<T>> { }
}
